{ config, pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix
    ../../modules
    ../../users/simon
  ];

  sbruder = {
    docker.enable = true;
    games.enable = true;
    gui.enable = true;
    media-proxy.enable = true;
    restic = {
      enable = true;
      extraPaths = [
        "/data"
      ];
    };
    unfree.allowSoftware = true;
    wireguard.home = {
      enable = true;
      address = "10.80.0.5";
    };
  };

  virtualisation.libvirtd.enable = true;

  services.tor = {
    enable = true;
    client.enable = true;
  };

  networking.hostName = "sayuri";
}
